Summary
Create Automation
Description
Create a new Automation.
Route
POST /operations-manager/automations
Roles
admin
apiwrite
engineering
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| automation |
object |
yes |
The details of the Automation document to be created. |
Copied to Clipboard
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": "workflows",
"gbac": {
"write": [
"fb765864dabb52c45d2947e3",
"bfd43056533449658831a0a9"
],
"read": [
"e0f67e02728ee0dd4a4ff14f",
"b5028c24f40f6c78fff62118",
"01af20cbe8d830cd7312703f",
"772c1715d1fcbf47a39f95f5"
]
},
"componentId": null
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| results |
object |
The result of the create operation. |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": "workflows",
"createdBy": "Pronghorn",
"created": "1996-05-19T02:51:30.099Z",
"lastUpdatedBy": "0d143b4fcf36347ac580e54c",
"lastUpdated": "1963-07-25T06:03:38.956Z",
"_id": "9f109b79f2529b82d8aeb669",
"gbac": {
"write": [
"d1a16c3afb48e5d43563ba30",
"adef20c1f289ecdc2c1796ad",
"04360496df6617281c27df26"
],
"read": [
"5eae5e1b6770089f7ec70b3c",
"c1a209b36aada6b31f79779d",
"e8de6d64ca923e6ff00e64a9",
"c2a60621ccecc69adde45c7a"
]
},
"componentId": "78a7323ac0b87664f3ec555a"
}
}